Index: /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 8124)
@@ -301,27 +301,22 @@
             #self.reduction = min  #Looks better near steep slopes
 
-    ##
-    # @brief Set the minimum depth that will be written to an SWW file.
-    # @param minimum_storable_height The minimum stored height (in m).
     def set_minimum_storable_height(self, minimum_storable_height):
-        """Set the minimum depth that will be recognised when writing
-        to an sww file. This is useful for removing thin water layers
-        that seems to be caused by friction creep.
-
-        The minimum allowed sww depth is in meters.
+        """Set the minimum depth that will be written to an SWW file.
+
+        minimum_storable_height  minimum allowed SWW depth is in meters
+
+        This is useful for removing thin water layers that seems to be caused
+        by friction creep.
         """
 
         self.minimum_storable_height = minimum_storable_height
 
-    ##
-    # @brief
-    # @param minimum_allowed_height
     def set_minimum_allowed_height(self, minimum_allowed_height):
         """Set minimum depth that will be recognised in the numerical scheme.
 
-        The minimum allowed depth is in meters.
-
-        The parameter H0 (Minimal height for flux computation)
-        is also set by this function
+        minimum_allowed_height  minimum allowed depth in meters
+
+        The parameter H0 (Minimal height for flux computation) is also set by
+        this function.
         """
 
@@ -335,37 +330,26 @@
         self.H0 = minimum_allowed_height
 
-    ##
-    # @brief
-    # @param maximum_allowed_speed
     def set_maximum_allowed_speed(self, maximum_allowed_speed):
-        """Set the maximum particle speed that is allowed in water
-        shallower than minimum_allowed_height. This is useful for
-        controlling speeds in very thin layers of water and at the same time
-        allow some movement avoiding pooling of water.
+        """Set the maximum particle speed that is allowed in water shallower
+        than minimum_allowed_height.
+
+        maximum_allowed_speed  
+
+        This is useful for controlling speeds in very thin layers of water and
+        at the same time allow some movement avoiding pooling of water.
         """
 
         self.maximum_allowed_speed = maximum_allowed_speed
 
-    ##
-    # @brief
-    # @param points_file_block_line_size
     def set_points_file_block_line_size(self, points_file_block_line_size):
-        """Set the minimum depth that will be recognised when writing
-        to an sww file. This is useful for removing thin water layers
-        that seems to be caused by friction creep.
-
-        The minimum allowed sww depth is in meters.
-        """
+        """
+        """
+
         self.points_file_block_line_size = points_file_block_line_size
 
         
     # FIXME: Probably obsolete in its curren form    
-    ##
-    # @brief Set the quantities that will be written to an SWW file.
-    # @param q The quantities to be written.
-    # @note Param 'q' may be None, single quantity or list of quantity strings.
-    # @note If 'q' is None, no quantities will be stored in the SWW file.
     def set_quantities_to_be_stored(self, q):
-        """Specify which quantities will be stored in the sww file
+        """Specify which quantities will be stored in the SWW file.
         
         q must be either:
@@ -409,7 +393,4 @@
         self.quantities_to_be_stored = q
 
-    ##
-    # @brief
-    # @param indices
     def get_wet_elements(self, indices=None):
         """Return indices for elements where h > minimum_allowed_height
@@ -439,7 +420,4 @@
         return wet_indices
 
-    ##
-    # @brief
-    # @param indices
     def get_maximum_inundation_elevation(self, indices=None):
         """Return highest elevation where h > 0
@@ -458,7 +436,4 @@
                    get_maximum_value(indices=wet_elements)
 
-    ##
-    # @brief
-    # @param indices
     def get_maximum_inundation_location(self, indices=None):
         """Return location of highest elevation where h > 0
@@ -883,6 +858,4 @@
 #-----------------
 
-## @brief Compute fluxes and timestep suitable for all volumes in domain.
-# @param domain The domain to calculate fluxes for.
 def compute_fluxes(domain):
     """Compute fluxes and timestep suitable for all volumes in domain.
@@ -949,11 +922,12 @@
 ################################################################################
 
-##
-# @brief Wrapper for C version of extrapolate_second_order_sw.
-# @param domain The domain to operate on.
-# @note MH090605 The following method belongs to the shallow_water domain class
-#       see comments in the corresponding method in shallow_water_ext.c
 def extrapolate_second_order_sw(domain):
-    """Wrapper calling C version of extrapolate_second_order_sw"""
+    """Wrapper calling C version of extrapolate_second_order_sw.
+
+    domain  the domain to operate on
+
+    Note MH090605: The following method belongs to the shallow_water domain
+    class, see comments in the corresponding method in shallow_water_ext.c
+    """
 
     from shallow_water_ext import extrapolate_second_order_sw as extrapol2
@@ -980,7 +954,4 @@
               int(domain.optimise_dry_cells))
 
-##
-# @brief Distribution from centroids to vertices specific to the SWW eqn.
-# @param domain The domain to operate on.
 def distribute_using_vertex_limiter(domain):
     """Distribution from centroids to vertices specific to the SWW equation.
@@ -1040,7 +1011,4 @@
         Q.interpolate_from_vertices_to_edges()
 
-##
-# @brief Distribution from centroids to edges specific to the SWW eqn.
-# @param domain The domain to operate on.
 def distribute_using_edge_limiter(domain):
     """Distribution from centroids to edges specific to the SWW eqn.
@@ -1081,7 +1049,4 @@
         Q.interpolate_from_vertices_to_edges()
 
-##
-# @brief  Protect against infinitesimal heights and associated high velocities.
-# @param domain The domain to operate on.
 def protect_against_infinitesimal_and_negative_heights(domain):
     """Protect against infinitesimal heights and associated high velocities"""
@@ -1098,7 +1063,4 @@
             domain.epsilon, wc, zc, xmomc, ymomc)
 
-##
-# @brief Wrapper for C function balance_deep_and_shallow_c().
-# @param domain The domain to operate on.
 def balance_deep_and_shallow(domain):
     """Compute linear combination between stage as computed by
@@ -1142,8 +1104,4 @@
 ################################################################################
 
-##
-# @brief Apply gravitational pull in the presence of bed slope.
-# @param domain The domain to apply gravity to.
-# @note Wrapper for C function gravity_c().
 def gravity(domain):
     """Apply gravitational pull in the presence of bed slope
@@ -1167,8 +1125,4 @@
     gravity_c(domain.g, height, elevation, point, xmom_update, ymom_update)
 
-##
-# @brief Apply friction to a surface (implicit).
-# @param domain The domain to apply Manning friction to.
-# @note Wrapper for C function manning_friction_c().
 def manning_friction_implicit(domain):
     """Apply (Manning) friction to water momentum
@@ -1205,8 +1159,4 @@
     
 
-##
-# @brief Apply friction to a surface (explicit).
-# @param domain The domain to apply Manning friction to.
-# @note Wrapper for C function manning_friction_c().
 def manning_friction_explicit(domain):
     """Apply (Manning) friction to water momentum
@@ -1244,8 +1194,4 @@
 
 # FIXME (Ole): This was implemented for use with one of the analytical solutions
-##
-# @brief Apply linear friction to a surface.
-# @param domain The domain to apply Manning friction to.
-# @note Is this still used (30 Oct 2007)?
 def linear_friction(domain):
     """Apply linear friction to water momentum
Index: /trunk/anuga_core/source/anuga/shallow_water/sww_interrogate.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/sww_interrogate.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/sww_interrogate.py	(revision 8124)
@@ -14,34 +14,26 @@
 from anuga.abstract_2d_finite_volumes.neighbour_mesh import segment_midpoints
 
-##
-# @brief Get values for quantities interpolated to polyline midpoints from SWW.
-# @param filename Path to file to read.
-# @param quantity_names Quantity names to get.
-# @param polyline Representation of desired cross-section.
-# @param verbose True if this function is to be verbose.
-# @return (segments, i_func) where segments is a list of Triangle_intersection
-#         instances and i_func is an instance of Interpolation_function.
-# @note For 'polyline' assume absolute UTM coordinates.
+
 def get_interpolated_quantities_at_polyline_midpoints(filename,
                                                       quantity_names=None,
                                                       polyline=None,
                                                       verbose=False):
-    """Get values for quantities interpolated to polyline midpoints from SWW
-
-    Input:
-        filename - Name of sww file
-        quantity_names - Names of quantities to load
-        polyline: Representation of desired cross section - it may contain
-                  multiple sections allowing for complex shapes. Assume
-                  absolute UTM coordinates.
-                  Format [[x0, y0], [x1, y1], ...]
-
-    Output:
-        segments: list of instances of class Triangle_intersection
-        interpolation_function: Instance of class Interpolation_function
-
-
-      This function is used by get_flow_through_cross_section and
-      get_energy_through_cross_section
+    """Get values for quantities interpolated to polyline midpoints from SWW.
+
+    filename        path to file to read
+    quantity_names  quantity names to get
+    polyline        representation of desired cross-section
+                    may contain multiple sections allowing complex shapes
+                    assume UTM coordinates
+    verbose         True if this function is to be verbose
+
+    Returns (segments, i_func)
+    where segments is a list of Triangle_intersection instances
+      and i_func is an instance of Interpolation_function.
+
+    Note: For 'polyline' assume absolute UTM coordinates.
+
+    This function is used by get_flow_through_cross_section and
+    get_energy_through_cross_section.
     """
 
@@ -76,23 +68,18 @@
 
 
-##
-# @brief Obtain flow (m^3/s) perpendicular to specified cross section.
-# @param filename Path to file to read.
-# @param polyline Representation of desired cross-section.
-# @param verbose Trie if this function is to be verbose.
-# @return (time, Q) where time and Q are lists of time and flow respectively.
 def get_flow_through_cross_section(filename, polyline, verbose=False):
     """Obtain flow (m^3/s) perpendicular to specified cross section.
 
-    Inputs:
-        filename: Name of sww file
-        polyline: Representation of desired cross section - it may contain
-                  multiple sections allowing for complex shapes. Assume
-                  absolute UTM coordinates.
-                  Format [[x0, y0], [x1, y1], ...]
-
-    Output:
-        time: All stored times in sww file
-        Q: Hydrograph of total flow across given segments for all stored times.
+    filename  path to SWW file to read
+    polyline  representation of desired cross-section - it may contain
+              multiple sections allowing for complex shapes. Assume
+              absolute UTM coordinates.
+              Format [[x0, y0], [x1, y1], ...]
+    verbose   True if this function is to be verbose
+
+    Return (time, Q)
+    where time is a list of all stored times in SWW file
+      and Q is a hydrograph of total flow across given segments for all
+            stored times.
 
     The normal flow is computed for each triangle intersected by the polyline
@@ -147,11 +134,4 @@
 
 
-##
-# @brief Get average energy across a cross-section.
-# @param filename Path to file of interest.
-# @param polyline Representation of desired cross-section.
-# @param kind Select energy to compute: 'specific' or 'total'.
-# @param verbose True if this function is to be verbose.
-# @return (time, E) where time and E are lists of timestep and energy.
 def get_energy_through_cross_section(filename,
                                      polyline,
@@ -160,17 +140,17 @@
     """Obtain average energy head [m] across specified cross section.
 
-    Inputs:
-        polyline: Representation of desired cross section - it may contain
-                  multiple sections allowing for complex shapes. Assume
-                  absolute UTM coordinates.
-                  Format [[x0, y0], [x1, y1], ...]
-        kind:     Select which energy to compute.
-                  Options are 'specific' and 'total' (default)
-
-    Output:
-        E: Average energy [m] across given segments for all stored times.
-
-    The average velocity is computed for each triangle intersected by
-    the polyline and averaged weighted by segment lengths.
+    filename  path to file of interest
+    polyline  representation of desired cross-section - it may contain multiple
+              sections allowing for complex shapes. Assume absolute UTM
+              coordinates.  Format [[x0, y0], [x1, y1], ...]
+    kind      select energy to compute: 'specific' or 'total'
+    verbose   True if this function is to be verbose
+
+    Returns (time, E)
+    where time is a list of timestep
+      and E isaAverage energy [m] across given segments for all stored times.
+
+    The average velocity is computed for each triangle intersected by the
+    polyline and averaged weighted by segment lengths.
 
     The typical usage of this function would be to get average energy of
@@ -247,10 +227,4 @@
 
 
-##
-# @brief Return highest elevation where depth > 0.
-# @param filename Path to SWW file of interest.
-# @param polygon If specified resrict to points inside this polygon.
-# @param time_interval If specified resrict to within the time specified.
-# @param verbose True if this function is  to be verbose.
 def get_maximum_inundation_elevation(filename,
                                      polygon=None,
@@ -259,4 +233,12 @@
     """Return highest elevation where depth > 0
 
+    filename       path to SWW file containing ANUGA model output
+    polygon        if specified restrict to points inside this polygon
+    time_interval  if specified restrict to within the period specified
+    verbose        True if this function is  to be verbose
+
+    If no inundation is found within polygon and time_interval the return value
+    is None signifying "No Runup" or "Everything is dry".
+
     Usage:
     max_runup = get_maximum_inundation_elevation(filename,
@@ -265,12 +247,4 @@
                                                  verbose=False)
 
-    filename is a NetCDF sww file containing ANUGA model output.
-    Optional arguments polygon and time_interval restricts the maximum
-    runup calculation
-    to a points that lie within the specified polygon and time interval.
-
-    If no inundation is found within polygon and time_interval the return value
-    is None signifying "No Runup" or "Everything is dry".
-
     See general function get_maximum_inundation_data for details.
     """
@@ -283,10 +257,4 @@
 
 
-##
-# @brief Return location of highest elevation where h > 0
-# @param filename Path to SWW file to read.
-# @param polygon If specified resrict to points inside this polygon.
-# @param time_interval If specified resrict to within the time specified.
-# @param verbose True if this function is  to be verbose.
 def get_maximum_inundation_location(filename,
                                     polygon=None,
@@ -295,4 +263,12 @@
     """Return location of highest elevation where h > 0
 
+    filename       path to SWW file containing ANUGA model output
+    polygon        if specified restrict to points inside this polygon
+    time_interval  if specified restrict to within the period specified
+    verbose        True if this function is  to be verbose
+
+    If no inundation is found within polygon and time_interval the return value
+    is None signifying "No Runup" or "Everything is dry".
+
     Usage:
     max_runup_location = get_maximum_inundation_location(filename,
@@ -301,12 +277,4 @@
                                                          verbose=False)
 
-    filename is a NetCDF sww file containing ANUGA model output.
-    Optional arguments polygon and time_interval restricts the maximum
-    runup calculation
-    to a points that lie within the specified polygon and time interval.
-
-    If no inundation is found within polygon and time_interval the return value
-    is None signifying "No Runup" or "Everything is dry".
-
     See general function get_maximum_inundation_data for details.
     """
@@ -319,16 +287,18 @@
 
 
-##
-# @brief Compute maximum run up height from SWW file.
-# @param filename Path to SWW file to read.
-# @param polygon If specified resrict to points inside this polygon.
-# @param time_interval If specified resrict to within the time specified.
-# @param use_centroid_values 
-# @param verbose True if this function is to be verbose.
-# @return (maximal_runup, maximal_runup_location)
 def get_maximum_inundation_data(filename, polygon=None, time_interval=None,
                                 use_centroid_values=False,
                                 verbose=False):
     """Compute maximum run up height from sww file.
+
+    filename             path to SWW file to read
+    polygon              if specified resrict to points inside this polygon
+                         assumed absolute coordinates and in same zone as
+                         domain
+    time_interval        if specified resrict to within the period specified
+    use_centroid_values 
+    verbose              True if this function is to be verbose
+
+    Returns (maximal_runup, maximal_runup_location).
 
     Usage:
@@ -339,13 +309,6 @@
 
     Algorithm is as in get_maximum_inundation_elevation from
-    shallow_water_domain except that this function works with the sww file and
+    shallow_water_domain except that this function works with the SWW file and
     computes the maximal runup height over multiple timesteps.
-
-    Optional arguments polygon and time_interval restricts the maximum runup
-    calculation to a points that lie within the specified polygon and time
-    interval.
-
-    Polygon is assumed to be in (absolute) UTM coordinates in the same zone
-    as domain.
 
     If no inundation is found within polygon and time_interval the return value
Index: /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 8124)
@@ -232,5 +232,5 @@
             pass
         else:
-            raise Exception, 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
     # Individual flux tests
@@ -2131,5 +2131,5 @@
         else:
             msg = 'Should have raised exception'
-            raise Exception, msg
+            raise Exception(msg)
 
     def Xtest_inflow_outflow_conservation(self):
@@ -4967,5 +4967,5 @@
         else:
             msg = 'This should have caught NAN at boundary'
-            raise Exception, msg
+            raise Exception(msg)
 
         #Cleanup
@@ -5505,5 +5505,5 @@
         except RuntimeError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception,(sg)
             # clean up in case raise fails
             os.remove(meshname)
@@ -5571,5 +5571,5 @@
         except AssertionError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception(msg)
             # Cleanup in case this failed
             os.remove(meshname)
@@ -5582,5 +5582,5 @@
         except AssertionError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception(msg)
             # Cleanup in case this failed
             os.remove(meshname)
Index: /trunk/anuga_core/source/anuga/shallow_water_balanced/swb_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water_balanced/swb_domain.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water_balanced/swb_domain.py	(revision 8124)
@@ -203,5 +203,5 @@
                 #Q.extrapolate_second_order_and_limit_by_vertex()
             else:
-                raise 'Unknown order'
+                raise Exception('Unknown order: %s' % str(self._order_))
 
 
@@ -330,5 +330,5 @@
                 #Q.extrapolate_second_order_and_limit_by_vertex()
             else:
-                raise 'Unknown order'
+                raise Exception('Unknown order: %s' % str(self._order_))
 
 
Index: /trunk/anuga_core/source/anuga/shallow_water_balanced/test_swb_basic.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water_balanced/test_swb_basic.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water_balanced/test_swb_basic.py	(revision 8124)
@@ -152,5 +152,5 @@
             pass
         else:
-            raise Exception, 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
     # Individual flux tests
@@ -677,5 +677,5 @@
         else:
             msg = 'should have caught wrong time interval'
-            raise Exception, msg
+            raise Exception(msg)
 
         # Check correct time interval
@@ -768,5 +768,5 @@
         else:
             msg = 'Time interval should have raised an exception'
-            raise Exception, msg
+            raise Exception(msg)
 
         # Cleanup
@@ -1979,5 +1979,5 @@
         except RuntimeError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception(msg)
             # clean up in case raise fails
             os.remove(meshname)
@@ -2033,5 +2033,5 @@
         except AssertionError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception(msg)
             # Cleanup in case this failed
             os.remove(meshname)
@@ -2044,5 +2044,5 @@
         except AssertionError, e:
             msg = 'Test failed: %s' % str(e)
-            raise Exception, msg
+            raise Exception(msg)
             # Cleanup in case this failed
             os.remove(meshname)
Index: /trunk/anuga_core/source/anuga/utilities/compile.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/compile.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/utilities/compile.py	(revision 8124)
@@ -175,5 +175,5 @@
       msg += 'One way to check this is to run %s on ' %compiler
       msg += 'the commandline.'
-      raise Exception, msg    
+      raise Exception(msg)
 
   
@@ -192,8 +192,8 @@
     open(headerfile, 'r')
   except:
-    raise """Did not find Python header file %s.
+    raise Exception("""Did not find Python header file %s.
     Make sure files for Python C-extensions are installed. 
     In debian linux, for example, you need to install a
-    package called something like python2.3-dev""" %headerfile
+    package called something like python2.3-dev""" %headerfile)
 
 
@@ -243,10 +243,10 @@
       FN = FN + '.c'
     elif ext.lower() != '.c':
-      raise Exception, "Unrecognised extension: " + FN
+      raise Exception("Unrecognised extension: " + FN)
     
     try:
       open(FN, 'r')
     except:
-      raise Exception, "Could not open: " + FN
+      raise Exception("Could not open: " + FN)
 
     if not object_files: root1 = root  #Remember first filename        
@@ -293,7 +293,7 @@
       err = os.system(s)
       if err != 0:
-          raise 'Attempting to compile %s failed - please try manually' %FN 
+          raise Exception('Attempting to compile %s failed - please try manually' %FN)
     except:
-      raise 'Could not compile %s - please try manually' %FN  
+      raise Exception('Could not compile %s - please try manually' %FN)
 
   
@@ -314,7 +314,8 @@
     err=os.system(s)
     if err != 0:        
-        raise 'Attempting to link %s failed - please try manually' %root1     
+        raise Exception('Attempting to link %s failed - please try manually'
+                        % root1)
   except:
-    raise 'Could not link %s - please try manually' %root1
+    raise Exception('Could not link %s - please try manually' % root1)
     
 
@@ -352,5 +353,5 @@
                     msg = 'C extension %s seems to compile OK, '
                     msg += 'but it can still not be imported.'
-                    raise msg
+                    raise Exception(msg)
                 else:
                     C=True
@@ -441,5 +442,5 @@
               msg = 'Could not compile C extension %s\n' %filename
               msg += str(e)
-              raise Exception, msg
+              raise Exception(msg)
           else:
               print 'C extension %s OK' %filename
Index: /trunk/anuga_core/source/anuga/utilities/sparse.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/sparse.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/utilities/sparse.py	(revision 8124)
@@ -22,5 +22,5 @@
                 A = num.array(args[0])
             except:
-                raise 'Input must be convertable to a numeric array'
+                raise Exception('Input must be convertable to a numeric array')
 
             assert len(A.shape) == 2, 'Input must be a 2d matrix'
@@ -37,5 +37,5 @@
             self.N = args[1]
         else:
-            raise 'Invalid construction'
+            raise Exception('Invalid construction')
             
         self.shape = (self.M, self.N) 
@@ -112,5 +112,5 @@
         except:
             msg = 'FIXME: Only numeric types implemented so far'
-            raise msg
+            raise Exception(msg)
             
 
@@ -150,5 +150,5 @@
 	    
         else:
-            raise ValueError, 'Dimension too high: d=%d' %len(B.shape)
+            raise ValueError('Dimension too high: d=%d' %len(B.shape))
 
         return R
@@ -176,5 +176,5 @@
         except:
             msg = 'Sparse matrix can only "right-multiply" onto a scalar'
-            raise TypeError, msg
+            raise TypeError(msg)
         else:
             new = self.copy()
@@ -214,5 +214,5 @@
 
         else:
-            raise 'Can only multiply with 1d array'
+            raise Exception('Can only multiply with 1d array')
 
         return R
@@ -271,5 +271,5 @@
             self.N       = A.N
         else:
-            raise ValueError, "Sparse_CSR(A) expects A == Sparse Matrix"
+            raise ValueError("Sparse_CSR(A) expects A == Sparse Matrix")
             
     def __repr__(self):
Index: /trunk/anuga_core/source/anuga/utilities/test_file_utils.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/test_file_utils.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/utilities/test_file_utils.py	(revision 8124)
@@ -62,5 +62,5 @@
             pass
         else:
-            raise 'Should have raised exception' 
+            raise Exception('Should have raised exception')
         
     def test_get_all_swwfiles1(self):
Index: /trunk/anuga_core/source/anuga/utilities/test_numerical_tools.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 8124)
@@ -273,5 +273,5 @@
                 compile(FN)
             except:
-                raise 'Could not compile %s' %FN
+                raise Exception('Could not compile %s' % FN)
             else:
                 import util_ext
Index: /trunk/anuga_core/source/anuga/utilities/test_sparse.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/test_sparse.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/utilities/test_sparse.py	(revision 8124)
@@ -148,5 +148,5 @@
             pass
         else:
-            raise 'Should have failed'
+            raise Exception('Should have failed')
 
     def test_sparse_addition(self):
